# Uses of Class
javassist.tools.reflect.ClassMetaobject

Packages that use ClassMetaobject
Package
Description
javassist.tools.reflect
Runtime Behavioral Reflection.

## Uses of ClassMetaobject in javassist.tools.reflect

Methods in javassist.tools.reflect that return ClassMetaobject
Modifier and Type
Method
Description
`ClassMetaobject`
Metalevel.`_getClass()`
Obtains the class metaobject associated with this object.
`final ClassMetaobject`
Metaobject.`getClassMetaobject()`
Obtains the class metaobject associated with this metaobject.